UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 55046

ModelSim 6.5d - Error: (vlog-1902) Option "-32" is either unknown, requires an argument, or was given with a bad argument.

Description

The following error occurs when running 14.3 CompXlib for ModelSim SE 6.5d.
 

Model Technology ModelSim SE vlog 6.5d Compiler 2009.11 Nov 18 2009
** Error: (vlog-1902) Option "-32" is either unknown, requires an argument, or was given with a bad argument.
Use the -help option for complete vlog usage.

 
What is the cause of this error? 

Solution

By default, CompXlib is run in 32-bit compilation mode, unless you specify the -64 switch. 

This passes the "-32" option to the vlog command.

However, this "-32" option is not available in 6.5d. 

Starting from the 6.6 version, ModelSim adds a -36|-64 option to the compiler which controls whether to use a 32-bit or 64-bit executable.


This error occurs because an unsupported simulation versions was used.

Please refer to the release notes for supported simulation tool versions.
AR# 55046
Date Created 03/21/2013
Last Updated 02/18/2015
Status Active
Type General Article
Tools
  • ISE Design Suite - 14